Use this API to retrieve metadata about a GitLab instance, including its version, its revision, whether it is Enterprise Edition, and the configuration of the GitLab agent server for Kubernetes (KAS).
Retrieve metadata information for this GitLab instance
GET /api/v4/metadata
Retrieves metadata information for the GitLab instance.
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
401 | Unauthorized | — |
Retrieves version information for the GitLab instance
GET /api/v4/version
This feature was introduced in GitLab 8.13 and deprecated in 15.5. We recommend you instead use the Metadata API.
Responses
| Code | Description | Schema |
|---|---|---|
200 | OK | APIEntities |
401 | Unauthorized | — |
Schemas
Objects returned by the operations above and objects nested in their request bodies.
APIEntitiesMetadata
| Property | Type | Description |
|---|---|---|
enterprise | Boolean | — |
kas | Object | — |
kas. | Boolean | — |
kas. | String | Example:https: |
kas. | String | Example:grpc: |
kas. | String | Example:15. |
revision | String | Example:c401a659d0c |
version | String | Example:15. |